#include <iostream>
using namespace std;
int main(){
	int n, q, l, r, tr = 0, prvi, drugi;
	bool ind = false;
	cin >> n;
	int niz[n];
	for(int i = 0; i < n; i++){
		cin >> niz[i];
	}
	cin >> q;
	for(int i = 0; i < q; i++){
		tr = 0;
		cin >> l >> r;
		l--;
		r--;
		for(int j = l; j < r; j++){
			if(!ind)
				prvi = niz[j];
			else
				prvi = niz[j+1];
			ind = false;
			drugi = niz[j+1];
			if(niz[j] > niz[j+1]){
				tr++;
				ind = true;
			}
		}
		if(tr <= 1) cout << "DA\n";
		else cout << "NE\n";
	}
}